
TYPO3.Flow - Task # 30825

Status: Resolved Priority: Should have
Author: Christian Müller Category:
Created: 2011-10-12 Assigned To: Christian Müller
Updated: 2011-10-13 Due date:
Sprint:
PHP Version:
Has patch:
Complexity:
Subject: Cleanup of (Flash)Messages API
Description

To have a nice API for 1.0 cleanup of FlashMessage, FlashMessageContainer and Message objects is needed. Additionally usage in
controllers should be cleaned up.

Associated revisions
Revision 2dc4ac4c - 2011-10-13 16:55 - Robert Lemke

[!!!][TASK] Clean up Flash Messages API

- FlashMessageContainer is moved to \TYPO3\FLOW3\MVC
- FlashMessage is removed
- FlashMessageContainer now uses \TYPO3\FLOW3\Error\Message instead of
  FlashMessage objects
- Message has an optional argument "title", which is not used so far
  but that way is compatible to v4 flashMessages
- Message has now a "severity" property

Resolves: #30825

Change-Id: I37370d824511fe3ad6cd993a22ca43a9ffbb13c9

History
#1 - 2011-10-12 14:04 - Mr. Hudson
- Status changed from New to Under Review

Patch set 2 of change I37370d824511fe3ad6cd993a22ca43a9ffbb13c9 has been pushed to the review server.
It is available at http://review.typo3.org/5732

#2 - 2011-10-12 14:07 - Mr. Hudson

Patch set 3 of change I37370d824511fe3ad6cd993a22ca43a9ffbb13c9 has been pushed to the review server.
It is available at http://review.typo3.org/5732

#3 - 2011-10-12 15:27 - Mr. Hudson
Patch set 5 of change I37370d824511fe3ad6cd993a22ca43a9ffbb13c9 has been pushed to the review server.
It is available at http://review.typo3.org/5732

#4 - 2011-10-12 16:45 - Mr. Hudson

Patch set 6 of change I37370d824511fe3ad6cd993a22ca43a9ffbb13c9 has been pushed to the review server.
It is available at http://review.typo3.org/5732

#5 - 2011-10-12 22:33 - Mr. Hudson

Patch set 7 of change I37370d824511fe3ad6cd993a22ca43a9ffbb13c9 has been pushed to the review server.
It is available at http://review.typo3.org/5732

#6 - 2011-10-13 00:17 - Mr. Hudson

Patch set 8 of change I37370d824511fe3ad6cd993a22ca43a9ffbb13c9 has been pushed to the review server.
It is available at http://review.typo3.org/5732

#7 - 2011-10-13 22:37 - Mr. Hudson

Patch set 9 of change I37370d824511fe3ad6cd993a22ca43a9ffbb13c9 has been pushed to the review server.
It is available at http://review.typo3.org/5732

#8 - 2011-10-13 23:07 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2dc4ac4cbd6e370edb3aab21fcf5ec8e15ef4077.
